io.vertx.rxjava.ext.auth.jwt

## Class JWTAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.AuthProvider
  - - io.vertx.rxjava.ext.auth.jwt.JWTAuth

-     public class JWTAuth
      extends AuthProvider

  Factory interface for creating JWT based `AuthProvider` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTAuth(JWTAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JWTAuth` | `create(Vertx vertx, JsonObject config)` Create a JWT auth provider
    `String` | `generateToken(JsonObject claims, JWTOptions options)` Generate a new JWT token.
    `Object` | `getDelegate()`
    `static JWTAuth` | `newInstance(JWTAuth arg)`

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.AuthProvider

      `authenticate, authenticateObservable, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWTAuth

          public JWTAuth(JWTAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `AuthProvider`

    - #### create

          public static JWTAuth create(Vertx vertx,
                                       JsonObject config)

      Create a JWT auth provider
      Parameters:
        `vertx` - the Vertx instance
        `config` - the config
      Returns:
        the auth provider

    - #### generateToken

          public String generateToken(JsonObject claims,
                                      JWTOptions options)

      Generate a new JWT token.
      Parameters:
        `claims` - Json with user defined claims for a list of official claims
        `options` - extra options for the generation
      Returns:
        JWT encoded token

    - #### newInstance

          public static JWTAuth newInstance(JWTAuth arg)

Copyright © 2016. All rights reserved.